package com.njzscloud.common.sn.support;


import com.njzscloud.common.sn.contant.SnSection;

import java.util.Map;

public interface SectionConfig {

    /**
     * 编码段名称
     */
    SnSection getSectionName();

    String genExample();

    /**
     * 编码段实例
     */
    ISnSection section();

    /**
     * 解析配置
     */
    void resolve(Map<String, Object> config);
}
